Package io.vertx.rxjava.ext.eventbus.bridge.tcp

## Class TcpEventBusBridge

- java.lang.Object
- - io.vertx.rxjava.ext.eventbus.bridge.tcp.TcpEventBusBridge

-     public class TcpEventBusBridge
      extends Object

  TCP EventBus bridge for Vert.x

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<TcpEventBusBridge>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TcpEventBusBridge​(TcpEventBusBridge delegate)` |
    `TcpEventBusBridge​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the current socket.
    `static TcpEventBusBridge` | `create​(Vertx vertx)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler)` |
    `boolean` | `equals​(Object o)` |
    `TcpEventBusBridge` | `getDelegate()` |
    `int` | `hashCode()` |
    `Future<TcpEventBusBridge>` | `listen()` | Listen on default port 7000
    `Future<TcpEventBusBridge>` | `listen​(int port)` | Listen on specific port
    `Future<TcpEventBusBridge>` | `listen​(int port, String address)` | Listen on specific port and bind to specific address
    `static TcpEventBusBridge` | `newInstance​(TcpEventBusBridge arg)` |
    `Single<Void>` | `rxClose()` | Close the current socket.
    `Single<TcpEventBusBridge>` | `rxListen()` | Listen on default port 7000
    `Single<TcpEventBusBridge>` | `rxListen​(int port)` | Listen on specific port
    `Single<TcpEventBusBridge>` | `rxListen​(int port, String address)` | Listen on specific port and bind to specific address
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TcpEventBusBridge> __TYPE_ARG

  - ### Constructor Detail

    - #### TcpEventBusBridge

          public TcpEventBusBridge​(TcpEventBusBridge delegate)

    - #### TcpEventBusBridge

          public TcpEventBusBridge​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TcpEventBusBridge getDelegate()

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options,
                                                 NetServerOptions netServerOptions)

    - #### create

          public static TcpEventBusBridge create​(Vertx vertx,
                                                 BridgeOptions options,
                                                 NetServerOptions netServerOptions,
                                                 Handler<BridgeEvent> eventHandler)

    - #### listen

          public Future<TcpEventBusBridge> listen()

      Listen on default port 7000
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen()

      Listen on default port 7000
      Returns:
        a future of the result

    - #### listen

          public Future<TcpEventBusBridge> listen​(int port,
                                                  String address)

      Listen on specific port and bind to specific address
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen​(int port,
                                                    String address)

      Listen on specific port and bind to specific address
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
      Returns:
        a future of the result

    - #### listen

          public Future<TcpEventBusBridge> listen​(int port)

      Listen on specific port
      Parameters:
        `port` - tcp port
      Returns:
        a future of the result

    - #### rxListen

          public Single<TcpEventBusBridge> rxListen​(int port)

      Listen on specific port
      Parameters:
        `port` - tcp port
      Returns:
        a future of the result

    - #### close

          public Future<Void> close()

      Close the current socket.
      Returns:
        a future of the result

    - #### rxClose

          public Single<Void> rxClose()

      Close the current socket.
      Returns:
        a future of the result

    - #### newInstance

          public static TcpEventBusBridge newInstance​(TcpEventBusBridge arg)